<?php
include "ver_sessao.php";
include "conecta.php";

	if( $_POST[c] )
		$_GET[c] = $_POST[c];
	if( $_POST[nome] )
		$_GET[nome] = $_POST[nome];
	if( $_POST[t] )
		$_GET[t] = $_POST[t];

		
	switch( $_GET[c] ) {
	case 'entidade':		$TABELA = 'entidade';	$TITULO = 'Fornecedor'; break;
	case 'banco':			$TABELA = 'banco';		$TITULO = $TABELA; break;
	case 'produto':			$TABELA = 'produto';	$TITULO = $TABELA; break;
	}

	if( $_GET[t] ) {
		
		$extra .= " AND prod_nb_setor='$_GET[t]'";
		$a_tipo = carregar('setor',$_GET[t]);
		$NOME = 'Cadastro de '.formata_nome($TITULO)."s - $a_tipo[seto_tx_nome]";
		
	} else
	    $NOME = 'Cadastro de '.formata_nome($TITULO);
	    
	$TAB = substr($TABELA,0,4);


	if( $_GET[acao] == 'cadastra_op' ) {
		
		$campos=array($TAB.'_tx_nome',$TAB.'_tx_status');
		$valores=array(strtoupper($_GET[nome]),ativo);
		if( $_GET[t] ) {
			$campos[] = 'prod_nb_setor';
			$valores[] = $_GET[t];
		}
		
		inserir($TABELA,$campos,$valores);
		
		if( !bd_erro() ) {
		
			$id = ultimo_reg($TABELA);
			
			javascript("
			
				fecha_combo_net();
				
				seleciona_combo_net($id,'$_GET[nome]')
			
			");
			$_GET[nome]='';
			unset($valores);
		}
		
	}




	cabecalho2('',2);

	$c1 = cactux::campo('Nome:','nome',$_GET[nome],10," onkeyup=fecha_combo_net_teclado()");
	$c4 = cactux::botao_submit("Buscar",2,'index','c,t',"$_GET[c],$_GET[t]");
	$c5 = cactux::botao("Fechar ",2,'cancelar'," onclick=fecha_combo_net();");
	$c6 = cactux::botao("Gravar",2,'cancelar'," onclick=insere_op();");

	
	
	$status = cactux::msg_status();
	
	cactux::abre_form('get');

	cactux::abre_fieldset($NOME);
	cactux::linha_fieldset($c1,$c2);
	cactux::linha_fieldset($c4,$c6,$status,$c5);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();

	javascript("

	
	function insere_op() {
		document.cadastro.acao.value='cadastra_op';
		document.cadastro.submit();
	}
	
		if(window.parent.$('div_".$_GET[c]."').style.display == 'block')
			window.document.cadastro.nome.focus();
			
	");

//	if( !$_GET[nome] )
//		return;

	
	
	$sql = selecionar($TABELA,$TAB."_tx_status,".$TAB."_tx_nome",
			"!inativo,@$_GET[nome]"," $extra ".grid::order_by($TAB.'_tx_nome'),1);
	$BUSCA = grid::gerar_paginacao($sql,'acao,codigo,nome,c,t',"index,$_GET[codigo],$_GET[nome],$_GET[c],$_GET[t]");

	// inicio do grid
	
	$cabeca[] = array(grid::ordenar('CÓD',$TAB.'_nb_id'),grid::ordenar('NOME',$TAB.'_tx_nome'));
	$cabeca[] = 'c,e,e,e,c';
	$cabeca[] = '8%,,3%,3%';
	//$cabeca[]='95%';
	
	while( $array = carrega_array($BUSCA[0]) ) {
		
		$valores[]=array($array[0],".seleciona_combo_net($array[0],'$array[1]')");
	}
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);

?>